# block
execute as @p[tag=player,gamemode=adventure] at @s run scoreboard players set @s block_detect 0
execute as @p[tag=player,gamemode=adventure] at @s if block ~ ~-0.1 ~ minecraft:magenta_glazed_terracotta run scoreboard players set @s block_detect 1
execute as @p[tag=player,gamemode=adventure] at @s if block ~ ~-0.1 ~ minecraft:mud_bricks run scoreboard players set @s block_detect 2
execute as @p[tag=player,gamemode=adventure] at @s if block ~ ~-0.1 ~ minecraft:mud_brick_stairs run scoreboard players set @s block_detect 2
execute as @p[tag=player,gamemode=adventure] at @s if block ~ ~-0.1 ~ minecraft:mud_brick_wall run scoreboard players set @s block_detect 2


execute as @p[tag=player,gamemode=adventure] store result score @s onground run data get entity @s OnGround

execute as @p[tag=player,gamemode=adventure] at @s if block ~ ~ ~ minecraft:air run scoreboard players set @s air 1
execute as @p[tag=player,gamemode=adventure] at @s unless block ~ ~ ~ minecraft:air run scoreboard players set @s air 0

# walk
execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a walk_on 0
execute as @p[tag=player,gamemode=adventure] if score @s walk_cm matches 15.. run scoreboard players add @s walk_on 1
execute as @p[tag=player,gamemode=adventure] unless score @s walk_on = @s walk_on_before unless score @s walk_on matches 0 run function game:step/step_sound
execute as @p[tag=player,gamemode=adventure] store result score @s walk_on_before run scoreboard players get @s walk_on
execute as @p[tag=player,gamemode=adventure] if score @s walk_on matches 1 run scoreboard players add @s walk_time 1

execute as @p[tag=player,gamemode=adventure] if score @s walk_time matches 8.. run function game:step/step_sound

execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a walk_cm 0

# sprint
execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a sprint_on 0
execute as @p[tag=player,gamemode=adventure] if score @s sprint_cm matches 20.. run scoreboard players add @s sprint_on 1
execute as @p[tag=player,gamemode=adventure] unless score @s sprint_on = @s sprint_on_before unless score @s sprint_on matches 0 run function game:step/step_sound
execute as @p[tag=player,gamemode=adventure] store result score @s sprint_on_before run scoreboard players get @s sprint_on
execute as @p[tag=player,gamemode=adventure] if score @s sprint_on matches 1 run scoreboard players add @s sprint_time 1

execute as @p[tag=player,gamemode=adventure] if score @s sprint_time matches 6.. run function game:step/step_sound

execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a sprint_cm 0

# water walk
execute as @p[tag=player,gamemode=adventure] if score @s onground matches 1 if score @s air matches 1 run scoreboard players set @s in_water 0
execute as @p[tag=player,gamemode=adventure] if score @s walk_cm matches 1.. run scoreboard players set @s in_water 0
execute as @p[tag=player,gamemode=adventure] if score @s sprint_cm matches 1.. run scoreboard players set @s in_water 0
execute as @p[tag=player,gamemode=adventure] if score @s water_walk_cm matches 1.. run scoreboard players set @s in_water 1

execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a water_walk_on 0
execute as @p[tag=player,gamemode=adventure] if score @s water_walk_cm matches 5.. run scoreboard players add @s water_walk_on 1

execute as @p[tag=player,gamemode=adventure] unless score @s water_walk_on = @s water_walk_on_before unless score @s water_walk_on matches 0 run function game:step/step_sound
execute as @p[tag=player,gamemode=adventure] store result score @s water_walk_on_before run scoreboard players get @s water_walk_on
execute as @p[tag=player,gamemode=adventure] if score @s water_walk_on matches 1 run scoreboard players add @s water_walk_time 1

execute as @p[tag=player,gamemode=adventure] if score @s water_walk_time matches 8.. run function game:step/step_sound

execute as @p[tag=player,gamemode=adventure] run scoreboard players set @a water_walk_cm 0

# onground / jump
execute as @p[tag=player,gamemode=adventure] if score @s in_water matches 0 unless score @s onground = @s onground_before unless score @s onground matches 0 run function game:step/step_sound
execute as @p[tag=player,gamemode=adventure] store result score @s onground_before run scoreboard players get @s onground

# water

execute as @p[tag=player,gamemode=adventure] unless score @s locate matches 3 if score @s in_water matches 1 unless score @s air = @s air_before unless score @s air matches 0 run playsound minecraft:water_out master @a ~ ~ ~ 0.3 1 0.1
execute as @p[tag=player,gamemode=adventure] unless score @s locate matches 3 if score @s in_water matches 1 unless score @s air = @s air_before unless score @s air matches 1 run playsound minecraft:water_in master @a ~ ~ ~ 0.3 1 0.1
execute as @p[tag=player,gamemode=adventure] if score @s locate matches 3 if score @s in_water matches 1 unless score @s air = @s air_before unless score @s air matches 0 run playsound minecraft:xl_water_out master @a ~ ~ ~ 0.3 1 0.1
execute as @p[tag=player,gamemode=adventure] if score @s locate matches 3 if score @s in_water matches 1 unless score @s air = @s air_before unless score @s air matches 1 run playsound minecraft:xl_water_in master @a ~ ~ ~ 0.3 1 0.1
execute as @p[tag=player,gamemode=adventure] store result score @s air_before run scoreboard players get @s air

#loop
schedule function game:step/loop_step 1t replace
